<?php
/*
Copyright 2002-2009 Mike Little

This file is part of Mike Little's Journalized Theme.

Mike Little's Journalized Theme is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Mike Little's Journalized Theme is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mike Little's Journalized Theme; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/ ?>
<?php get_header(); ?>
<body id="template_archive">
<div class="<?php journalized_width_class() ?>">
<?php include('header-block.php'); ?>

<?php if (have_posts()) { ?>

<?php $post = $posts[0]; /* Hack. Set $post so that the_date() works. */ ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
<h2 class="pagetitle"><?php printf(__("Archive for the '%s' Category", 'journalized'), single_cat_title('', false)); ?></h2>

<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
<h2 class="pagetitle"><?php printf(__("Posts tagged '%s'", 'journalized'), single_tag_title('', false)); ?></h2>

<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
<h2 class="pagetitle"><?php printf(__('Archive for %s', 'journalized'), get_the_time('F jS, Y')); ?></h2>

<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
<h2 class="pagetitle"><?php printf(__('Archive for %s', 'journalized'), get_the_time('F, Y')); ?></h2>

<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
<h2 class="pagetitle"><?php printf(__('Archive for %s', 'journalized'), get_the_time('Y')); ?></h2>

<?php /* If this is an author archive */ } elseif (is_author()) {
if (function_exists('get_userdatabylogin')) {
    $u = get_userdatabylogin(get_query_var('author_name'));
    if ($u !== false) {
        echo("<h2 class='pagetitle'>" . sprintf(__('Archive for posts by %s.', 'journalized'), $u->display_name).  '</h2>');
    } else {
        echo('<h2>' . __('Author Archive.', 'journalized') . '</h2>');
    }
} else {
    echo('<h2>' . __('Author Archive.', 'journalized') . '</h2>');
}
?><?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<h2 class="pagetitle"><?php _e('Blog Archives', 'journalized'); ?></h2>

<?php } ?>

<?php while (have_posts()) { the_post(); ?>
<div <?php post_class('centreblock') ?>>
  <h3 class="storytitle" id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'journalized'), attribute_escape(get_the_title())); ?>"><?php the_title(); ?></a></h3>
  <div class="meta"> <?php _e('by', 'journalized'); ?> <span class="storyauthor"><?php the_author_posts_link(); ?> </span> @ <?php the_time('l, F jS, Y') ?>.
    <?php the_tags(__('Tags: ', 'journalized'), ', ', '<br />'); ?>
    <?php printf(__('Filed under %s', 'journalized'), get_the_category_list(', ')); ?>
  </div> <!-- meta -->
  <div class="entry">
    <?php the_excerpt(); ?>
  </div> <!-- entry -->

  <div class="storylinks">
    <div class="feedback">
      <?php comments_popup_link(__('[Comments (0)]', 'journalized'), __('[Comments (1)]', 'journalized'), __('[Comments (%)]', 'journalized')); ?>&nbsp;
    </div>
  </div> <!-- storylinks -->
</div> <!-- centreblock -->

<?php } // end foreach
?>
<div class="navigation">
  <div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries', 'journalized')) ?></div>
  <div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;', 'journalized')) ?></div>
</div>
<?php
} else { // end if any posts
?>
<?php /* If this is a category archive */ if (is_category()) {  ?>
  <h2 class="center"><?php _e('Not Found', 'journalized'); ?></h2>
  <div class="centreblock">
    <p><?php echo sprintf(__("Sorry, but there aren't any posts in the '%s' category yet. ", 'journalized'), single_cat_title('', false)) ?>
      <?php _e('Please try a different category.', 'journalized'); ?></p>
</div> <!-- centreblock -->
<?php /* If this is a date archive */ } else if (is_date()) { ?>
    <h2><?php _e("Sorry, but there aren't any posts with this date.", 'journalizd'); ?></h2>
<?php /* If this is an author archive */ } else if (is_author()) {
     if (function_exists('get_userdatabylogin')) {
         $u = get_userdatabylogin(get_query_var('author_name'));
         if ($u !== false) {
             echo('<h2 class="pagetitle">' . sprintf(__('Archive for posts by %s.', 'journalized'), $u->display_name).  '</h2>');
         } else {
             echo('<h2>' . __('Author Archive.', 'journalized') . '</h2>');
         }
     } else {
         echo('<h2>' . __('Author Archive.', 'journalized') . '</h2>');
     }
 } else {
    echo('<h2>' . __("No posts found.", 'journalized') . '</h2>');
 } ?>

<?php } // end else no posts
?>

<?php include('centre-foot.php'); ?>
</div><!-- journalized_width_class() -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
</body>
</html>