<?php
/*
Copyright 2002-2009 Mike Little

This file is part of Mike Little's Journalized Theme.

Mike Little's Journalized Theme is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Mike Little's Journalized Theme is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mike Little's Journalized Theme; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/ ?>
<?php // Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die (__('Please do not load this page directly. Thanks!', 'journalized'));

	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'journalized'); ?></p>
	<?php
		return;
	}
?>
<?php //You can start editing here.
 if ('open' == $post->ping_status) { ?>
<p><?php _e("The <acronym title=\"Uniform Resource Identifier\">URI</acronym> to TrackBack this entry is:"); ?> <em><?php trackback_url() ?></em></p>
<?php } ?>
<?php if ( have_comments() ) : ?>
    <h3 id="comments"><?php comments_number(__('No Responses', 'journalized'), __('One Response', 'journalized'), __('% Responses', 'journalized') );?> <?php _e('to', 'journalized'); ?> &#8220;<?php the_title(); ?>&#8221;</h3>

    <ol class="commentlist">
      <?php wp_list_comments(); ?>
    </ol>
	<div class="comment-navigation">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>
 <?php else : /* this is displayed if there are no comments so far */ ?>

  <?php if ('open' == $post->comment_status) : /* If comments are open, but there are no comments. */ ?>
     <?php else : /* comments are closed */ ?>
        <p class="nocomments"><?php _e('Comments are closed.', 'journalized'); ?></p>
    <?php endif; ?>
<?php endif; ?>


<?php if ('open' == $post->comment_status) : ?>

<h3 id="respond"><?php comment_form_title( __('Leave a Reply', 'journalized'), __('Leave a Reply to %s', 'journalized') ); ?></h3>
<div class="cancel-comment-reply">
	<small><?php cancel_comment_reply_link(); ?></small>
</div>

<?php if (1 == get_settings("comment_moderation")) {
?>
    <?php _e('<p><strong>Please note:</strong> Comment moderation is currently enabled so
    there will be a <strong>delay</strong> between when you post your comment and
    when it shows up. Patience is a virtue; there is <strong>no need to
    re-submit</strong> your comment.</p>', 'journalized'); ?>
<?php
} // comment_moderation == 1
?>
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<?php printf(__('<p>You must be <a href="%s">logged in</a> to post a comment.</p>', 'journalized'), get_option('siteurl') . '/wp-login.php?redirect_to=' . urlencode(get_permalink()) . '#commentform'); ?>

<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<?php printf(__('<p>Logged in as <a href="%s">%s</a>.', 'journalized'), get_option('siteurl').'/wp-admin/profile.php', $user_identity); ?>
 <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php echo attribute_escape(__('Log out of this account', 'journalized')) ?>"><?php _e('Log out', 'journalized'); ?> &raquo;</a></p>

<?php else : ?>

<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
<label for="author"><small><?php _e('Name', 'journalized'); ?> <?php if ($req) _e('(required)'); ?></small></label></p>

<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
<label for="email"><small><?php _e('Mail (will not be published)', 'journalized'); ?> <?php if ($req) _e('(required)'); ?></small></label></p>

<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
<label for="url"><small><?php _e('Website', 'journalized'); ?></small></label></p>

<?php endif; ?>

<!--<p><small><strong>XHTML:</strong> <?php _e('You can use these tags:', 'journalized'); ?> <code><?php echo allowed_tags(); ?></code></small></p>-->

<p><textarea name="comment" id="comment" style="width:95%" cols="65" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php echo attribute_escape(__('Submit Comment', 'journalized')); ?>" />
<?php comment_id_fields(); ?>
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; /* If registration required and not logged in */ ?>
<?php endif; ?>
