<?php
/*
Copyright 2002-2009 Mike Little

This file is part of Mike Little's Journalized Theme.

Mike Little's Journalized Theme is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Mike Little's Journalized Theme is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mike Little's Journalized Theme; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/ ?>
<?php // Do not delete these lines
    if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die (__('Please do not load this page directly. Thanks!', 'journalized'));

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
                ?>
                <p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'journalized'); ?></p>
                <?php
                return;
            }
        }

        /* This variable is for alternating comment background */
        $oddcomment = 'class="alt"';
?>

<!-- You can start editing here. -->
<?php if ('open' == $post->ping_status) { ?>
<p><?php _e("The <acronym title=\"Uniform Resource Identifier\">URI</acronym> to TrackBack this entry is:"); ?> <em><?php trackback_url() ?></em></p>
<?php } ?>
<?php if ($comments) : ?>
    <h3 id="comments"><?php comments_number(__('No Responses', 'journalized'), __('One Response', 'journalized'), __('% Responses', 'journalized') );?> <?php _e('to', 'journalized'); ?> &#8220;<?php the_title(); ?>&#8221;</h3>

    <ol class="commentlist">

    <?php foreach ($comments as $comment) : ?>

        <li <?php echo $oddcomment; ?> id="comment-<?php comment_ID() ?>">
            <cite><?php echo get_avatar( $comment, 32 ); ?><?php comment_author_link() ?></cite> Says:
            <?php if ($comment->comment_approved == '0') : ?>
            <em><?php _e('Your comment is awaiting moderation.', 'journalized'); ?></em>
            <?php endif; ?>
            <br />

            <small class="commentmetadata"><a href="#comment-<?php comment_ID() ?>" title=""><?php comment_date('F jS, Y') ?> <?php _e('at', 'journalized'); ?> <?php comment_time() ?></a> <?php edit_comment_link('e','',''); ?></small>

            <?php comment_text() ?>

        </li>

    <?php /* Changes every other comment to a different class */
        if (!empty($oddcomment)) $oddcomment = '';
        else $oddcomment = 'class="alt"';
    ?>

    <?php endforeach; /* end for each comment */ ?>

    </ol>

 <?php else : // this is displayed if there are no comments so far ?>

  <?php if ('open' == $post->comment_status) : ?>
        <!-- If comments are open, but there are no comments. -->

     <?php else : // comments are closed ?>
        <!-- If comments are closed. -->
        <p class="nocomments"><?php _e('Comments are closed.', 'journalized'); ?></p>
    <?php endif; ?>
<?php endif; ?>


<?php if ('open' == $post->comment_status) : ?>

<h3 id="respond"><?php _e('Leave a Reply', 'journalized'); ?></h3>
<?php
if (1 == get_settings("comment_moderation")) {
?>
    <?php _e('<p><strong>Please note:</strong> Comment moderation is currently enabled so
    there will be a <strong>delay</strong> between when you post your comment and
    when it shows up. Patience is a virtue; there&#8217;s <strong>no need to
    re-submit</strong> your comment.</p>', 'journalized'); ?>
<?php
} // comment_moderation == 1
?>
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<?php printf(__('<p>You must be <a href="%s">logged in</a> to post a comment.</p>', 'journalized'), get_option('siteurl') . '/wp-login.php?redirect_to=' . urlencode(get_permalink()) . '#commentform'); ?>

<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<?php printf(__('<p>Logged in as <a href="%s">%s</a>.', 'journalized'), get_option('siteurl').'/wp-admin/profile.php', $user_identity); ?>
  <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php echo attribute_escape(__('Log out of this account', 'journalized')) ?>"><?php _e('Log out', 'journalized'); ?> &raquo;</a></p>

<?php else : ?>

<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
<label for="author"><small><?php _e('Name', 'journalized'); ?> <?php if ($req) _e('(required)'); ?></small></label></p>

<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
<label for="email"><small><?php _e('Mail (will not be published)', 'journalized'); ?> <?php if ($req) _e('(required)'); ?></small></label></p>

<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
<label for="url"><small><?php _e('Website', 'journalized'); ?></small></label></p>

<?php endif; ?>

<!--<p><small><strong>XHTML:</strong> <?php _e('You can use these tags:', 'journalized'); ?> <code><?php echo allowed_tags(); ?></code></small></p>-->

<p><textarea name="comment" id="comment" style="width:38em" cols="65" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php echo attribute_escape(__('Submit Comment', 'journalized')); ?>" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>
